//https://calendee.com/2013/12/29/angularjs-code-organization/
angular.module('starter.controllers')

.controller('GeoCtrl', function($cordovaGeolocation, $scope){

    //alert ('Inside geoCtrl before onSuccess');
    function onSuccess(position) {
        alert('Latitude: '          + position.coords.latitude          + '\n' +
              'Longitude: '         + position.coords.longitude         + '\n' +
              'Altitude: '          + position.coords.altitude          + '\n' +
              'Accuracy: '          + position.coords.accuracy          + '\n' +
              'Altitude Accuracy: ' + position.coords.altitudeAccuracy  + '\n' +
              'Heading: '           + position.coords.heading           + '\n' +
              'Speed: '             + position.coords.speed             + '\n' +
              'Timestamp: '         + position.timestamp                + '\n');
    };

    // onError Callback receives a PositionError object
    // alert ('Inside geoCtrl before onError');
    function onError(error) {
        alert('code: '    + error.code    + '\n' +
              'message: ' + error.message + '\n');
    }

    //alert ('Inside geoCtrl before getCurrentPosition');
    $scope.getGeolocation = function() {
      // timeout at 60000 milliseconds (60 seconds)
      var options = {timeout:60000};
      navigator.geolocation.getCurrentPosition(onSuccess, onError, options);
      //alert ('Inside geoCtrl after getCurrentPosition');
  };

});